--[[============================================================================
 The Duplex Library
============================================================================]]--

-- include the duplex core

require "Duplex_2/Globals"
require "Duplex_2/MessageStream"
require "Duplex_2/Display"
require "Duplex_2/Canvas"
require "Duplex_2/UIComponent"
require "Duplex_2/UIButtonStrip"
require "Duplex_2/UIToggleButton"
require "Duplex_2/UIPushButton"
require "Duplex_2/UISlider"
require "Duplex_2/UISpinner"
require "Duplex_2/ControlMap"
require "Duplex_2/Device"
require "Duplex_2/MidiDevice"
require "Duplex_2/OscDevice"
require "Duplex_2/Application"
require "Duplex_2/Browser"
require "Duplex_2/Scheduler"


-- load all application scripts dynamically (Applications/XXX.lua)

for _, filename in pairs(os.filenames("./Duplex_2/Applications", "*.lua")) do
  require("Duplex_2/Applications/" .. split_filename(filename))
end


-- load all controller scripts dynamically (Controllers/XXX/XXX.lua)

for _, foldername in pairs(os.dirnames("./Duplex_2/Controllers")) do
  local subpath = "./Duplex_2/Controllers/" .. foldername

  for _, filename in pairs(os.filenames(subpath, "*.lua")) do
    -- only load the controller file that matches the controller folder name
    if (split_filename(filename) == foldername) then
      require(subpath .. "/" .. split_filename(filename))
    end
  end
end

